Subject: garlic breath

From: [email-masked] (Ellen Meyer)
Date: 17 Jan 1995 18:13:10 GMT

I know we're all supposed to be consuming garlic due to its many wonderful
health benefits, but when I eat garlic, I continue to taste it for often
more than 12 hours.  This means I get to enjoy garlic with things like my
morning cereal. Ick!

I had discovered this garlic that didn't cause bad breath, but first, they
don't have it where I currently shop, and second, since garlic grows under
the ground, I think it's one of those things where it's a good idea to eat
the organic stuff if available.

So, I am looking for suggestions on what gets rid of the taste.